
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "pylon-4_5"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "pylon-4_5"

	actor[cp_actor_type]			= cat_ground
	actor[cp_launch_hue_shift] = pcolor - 30

	set_pylon_bitmap_swap()

-- leave me
	c_preload_model( actor )
-- leave me

	anis = { "scalefront" , "scaleside" , "rotupdown" , "still" }
	ani_choice = c_zrand_int( 4 ) +1
	c_set_random_anim( anis[ani_choice], 100.0, 100.0, 0.0, 0.0 )
